aboutsummaryrefslogtreecommitdiffstats
path: root/main/cvs/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-01 09:42:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-01 09:42:37 +0000
commit421777207ccaa41591134f1e3b8e7d5674c6b9bf (patch)
treeb30759602d780bedb456da2b010d1ad09762e3c2 /main/cvs/APKBUILD
parent6cd357260c12c7e3edd5fb4f8c151c813562d751 (diff)
downloadaports-421777207ccaa41591134f1e3b8e7d5674c6b9bf.tar.gz
aports-421777207ccaa41591134f1e3b8e7d5674c6b9bf.tar.bz2
aports-421777207ccaa41591134f1e3b8e7d5674c6b9bf.tar.xz
main/cvs: upgrade to 1.12.13
Diffstat (limited to 'main/cvs/APKBUILD')
-rw-r--r--main/cvs/APKBUILD26
1 files changed, 16 insertions, 10 deletions
diff --git a/main/cvs/APKBUILD b/main/cvs/APKBUILD
index 21c4d58134..5ab57dab17 100644
--- a/main/cvs/APKBUILD
+++ b/main/cvs/APKBUILD
@@ -1,27 +1,33 @@
# Contributor: Michael Mason <ms13sp@gmail.com>
-# Maintainer:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=cvs
-pkgver=1.11.23
-pkgrel=1
+pkgver=1.12.13
+pkgrel=0
pkgdesc="Concurrent Versions System"
url="http://www.nongnu.org/cvs/"
license="GPL"
depends=""
-makedepends=""
+makedepends="zlib-dev"
install=
subpackages="$pkgname-doc"
-source="http://ftp.gnu.org/non-gnu/cvs/source/stable/1.11.23/$pkgname-$pkgver.tar.gz"
+source="http://ftp.gnu.org/non-gnu/cvs/source/feature/$pkgver/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$srcdir/$pkgname-$pkgver"
-
+ cd "$_builddir"
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
- --infodir=/usr/share/info
+ --infodir=/usr/share/info \
+ --with-external-zlib \
+ --with-tmpdir=/tmp \
+ || return 1
make || return 1
- make DESTDIR="$pkgdir" install
+}
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
}
-md5sums="bf185eb51b5918330a04671c3f3cccde cvs-1.11.23.tar.gz"
+md5sums="7a71a2e7a64973ecf255965956a1d338 cvs-1.12.13.tar.gz"